function flare1,u,x,t
;+
; Additional driving terms at time t 
;-
@common
common burst5,told,xmn,xmx
g=u*0.d0
t1=10 & t2=t1+20 & t3=t2
if(n_elements(told) eq 0) then told=t
;
if(t lt t1 or t gt t3) then return,g ; do nowt
;
; Track blob  (get new xmn, xmx)
;
vel=u(1,*)/u(0,*)
xmn1=3.e8 & xmx1=1.e9  & f1=1000. & f2=1000. 

if(t lt t1+.1) then begin ; start tracking blob
   xmn=xmn1 & xmx=xmx1
endif
dt=t-told
tabinv,x,xmn,ii
xmn=xmn+ vel(ii)*dt
tabinv,x,xmx,ii
xmx=xmx+ vel(ii)*dt
;
;  do driving
;
okx=where(x gt (xmn) and x lt (xmx))
profile=1.
av=(xmn+xmx)/2.
profile=abs(x(okx)-av)
delta=(xmx-xmn)/2.
profile=exp(-profile*profile/delta/delta) ; 
profile/=max(profile)
if(t lt t2) then begin 
;
; heating only
;
   g(2,okx)= (u(3,okx)*param.heatn*f1 + u(4,okx)*param.heatp*f1) * profile ;
endif 
told=t
return,g
end
