pro doublit,x,u,asymmetry=asymmetry
@common
f=0.
if(n_elements(asymmetry) ne 0) then f=.001
a=size(u)
ny=a(1)
nx1=a(2) & nx=nx1
unew=dblarr(ny,a(2)*2+1)
factor=1.d0+f
for i=0,ny-1 do unew(i,*) $
   =[reform(u(i,*)),u(i,nx-1),reverse(reform(u(i,*)))*factor]   
u=unew
a=size(u)
nx=a(2)
dx=x(1)-x(0)
x=[x,x(nx1-1)+dx,(max(x)+2*dx)+x-min(x)]
param.xmin=min(x)
param.xmax=max(x)
param.nx=n_elements(x)
msg=strcompress('Used grid parameters '+string(param.xmin)+string(param.xmax)+string(param.nx))
message,msg,/inf
return
end
