function linedata,el=el,print=print,reset=reset,omega_min=omega_min
@common
common  linedata,data
if(n_elements(data) ne 0 and n_elements(reset) eq 0) then return,data
dir=param.datadir
f=dir+'lfitpar15.dat'
fil=findfile(f)
if(fil(0) eq '') then message,'line data file '+f+' not found '
;
str=''
data={el:0,sp:0,tran:0,lambda:0.0,a:0.0,omega:0.,e:0.,p:0.}
d=data
;
if(n_elements(el) eq 0) then el=-1 else el=atomn(el,/num)
if(n_elements(omega_min) eq 0) then omega_min=0.
openr,lu,/get,fil(0)
while not eof(lu) do begin 
   readf,lu,str
   if(strmid(str,0,1) eq '*') then goto, skip
   ok=getwrd(str,1)
   if(ok eq '') then goto, skip
   d.el=fix(getwrd(str))
   omega=float(getwrd(str,8))
   d.e=float(getwrd(str,9))
   if((el eq -1 or d.el eq el) and omega gt omega_min) then begin 
      d.sp=fix(getwrd(str,1))
      d.tran=fix(getwrd(str,3))
      d.lambda=float(getwrd(str,4))
      d.a=float(getwrd(str,5))
      d.omega=omega
      d.p=float(getwrd(str,10))
      data=[data,d]
   endif
skip:
endwhile
free_lun,lu
data=data(1:*)
return,data
end
